#!/bin/bash

#SBATCH --job-name=kmeans_cpu              # Job name
#SBATCH --partition=single                 # Queue for resource allocation
#SBATCH --time=30:00                       # Wall-clock time limit
#SBATCH --ntasks=1                         # Number of tasks
#SBATCH --cpus-per-task=40                 # Number of CPUs per tasks
#SBATCH --mail-type=ALL                    # Notify user by email when certain event types occur.

export VENVDIR=~/scai-venv                 # Export path to your virtual environment.
export PYDIR=./                            # Export path to directory containing Python script.

# Set up modules.
module purge                               # Unload all currently loaded modules.
module load compiler/gnu/13.3              # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4
module load lib/hdf5/1.14.4-gnu-13.3-openmpi-4.1
source ${VENVDIR}/bin/activate # Activate your virtual environment.

python -u ${PYDIR}/kmeans.py   # Run your Python script.
